#
# spec file for package gdouros-maya-fonts
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gdouros-maya-fonts
Version:        4.17
Release:        1.19
Summary:        Font with Basic Maya Glyphs
License:        SUSE-Permissive
Group:          System/X11/Fonts
Url:            http://greekfonts.teilar.gr
# Download source:
# http://users.teilar.gr/~g1951d/Maya.zip
Source0:        Maya-%{version}.zip
Source1:        README-SUSE
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
Obsoletes:      maya-fonts < 4.14
Provides:       maya-fonts = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Maya covers the glyphs in J. Eric S. Thompson’s “A Catalog of Maya
Hieroglyphs”, as well as some extra glyphs for days, months and numbers.
This is a work-font that may be of some scholarly use; it is not a proposal
of any kind. There are no plans to improve or expand it.

%prep
%setup -q -c

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}
install -m 0644 *.ttf %{buildroot}%{_ttfontsdir}/
install -m 0644 %{SOURCE1} .

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root)
%doc README-SUSE Maya.pdf
%{_ttfontsdir}

%changelog
* Mon Apr 10 2017 aloisio@gmx.com
- Update to version 4.17
- Switched tarball to original (versioned) archive
- Added README-SUSE as separate source
- Updated homepage URL
* Sun Jan 17 2016 aloisio@gmx.com
- Refreshed archive
  * updated pdf documentation
  * updated README-SUSE
* Mon Jun 22 2015 aloisio@gmx.com
- update to version 4.14
  * added hinted variant
- replaced licence file with a note from the website and
  added official pdf description
- renamed package according with openFATE #313035
* Tue Jan 21 2014 pgajdos@suse.com
- updated to 4.11
  * no upstream changelog
  * leaving README from 1.06 version, upstream do not provide it
    anymore
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Fri Apr 27 2012 pgajdos@suse.com
- SUSE-Permissive license, see README
* Fri Jul  1 2011 bachinchi@gmail.com
- Initial package for Maya Font
